Skip to main content
GET
/
orders
List orders
curl --request GET \
  --url https://api.bitbybit.studio/customer/api/open/v1/orders \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.bitbybit.studio/customer/api/open/v1/orders"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.bitbybit.studio/customer/api/open/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "<string>",
      "orderId": "<string>",
      "orderNumber": "<string>",
      "total": 123,
      "currency": "<string>",
      "notes": "<string>",
      "customer": {
        "id": "<string>",
        "firstName": "<string>",
        "lastName": "<string>",
        "email": "<string>",
        "phoneNumber": "<string>"
      },
      "lineItems": [
        {
          "id": "<string>",
          "quantity": 123,
          "price": 123,
          "title": "<string>",
          "productVariant": {
            "id": "<string>",
            "key": "<string>",
            "price": 123,
            "compareAtPrice": 123,
            "inventorySku": "<string>",
            "media": "<string>"
          }
        }
      ],
      "shippingAddress": {
        "id": "<string>",
        "firstName": "<string>",
        "lastName": "<string>",
        "phone": "<string>",
        "address1": "<string>",
        "address2": "<string>",
        "city": "<string>",
        "province": "<string>",
        "country": "<string>",
        "zip": "<string>"
      },
      "tags": [
        "<string>"
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "hasNextPage": true
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Create one in Settings > Developer.

Query Parameters

page
integer
default:1
limit
integer
default:20
Required range: x <= 100

Search by order ID or customer name

status
enum<string>
Available options:
active,
archived,
cancelled,
refunded
fulfillmentStatus
enum<string>
Available options:
unfulfilled,
fulfilled

Response

200 - application/json

Successful response

data
object[]
meta
object